/*
btdepth.c Version 0.1.0  Btree calc depth of database
Copyright (C) 2003  dondalah@ripco.com (Dondalah)

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to:

	Free Software Foundation, Inc.
	59 Temple Place - Suite 330
	Boston, MA  02111-1307, USA.
*/

#include <bthash.h>

int btdepth(btreefmt *bthdr)
   {
   int dpth;
   long ofst;
   bthdr->reason = 0;

   dpth = 1;
   ofst = ROOT;
   btgetblk(bthdr,ofst);
   if (bthdr->reason) return(dpth);
   while (bthdr->blk->right)
      {
      dpth++;
      btgetblk(bthdr,bthdr->blk->right);
      if (bthdr->reason) return(dpth);
      } /* for each level in database */
   return(dpth);
   } /* btdepth */
